#!/bin/bash

set -vx

EXPID=m01z
yyyymm=199305
NMDAYS=31
date



cdo sp2gpl ICMSH${EXPID}+${yyyymm} fcdata
cat fcdata ICMGG${EXPID}+${yyyymm} > fcdata0

mv fcdata0 fcdata

file=fcdata


date

echo write \"${file}_[param].grb\"\; > rules_file
grib_filter rules_file ${file} #${file}_${param}.grb, 6h data

#monthly 00GMT: extract good timesteps
for param in 201 202 142 146 147 177 169 179 243
do
 cdo seltimestep,$(seq -s ',' 1 4 124) ${file}_${param}.128.grb  ${file}_${param}_mon0.grb 
done

#split daily
for param in 201 202 177 169 179 
do
 i=1
 cdo -R -r -t ecmwf -f nc splitvar ${file}_${param}.128.grb rg
 while [[ $i -le $NMDAYS ]]
 do 
   ncra -F -d time,$(( $i * 4 - 3)),$(( $i * 4 )) rg* ${file}_${param}_d_$i.nc
#  cdo seltimestep,$(seq -s ',' $(( $i * 4 - 3)) $(( $i * 4 ))) ${file}_${param}.128.grb  ${file}_${param}_d_$i.grb
#  j=`expr $i - 1 `
#  cdo shifttime,+${j}days ${file}_${param}_d_$i.grb new.grb
#  mv new.grb ${file}_${param}_d_$i.grb
  i=`expr $i + 1 ` 
 done  
 rm rg*
done

#mon0: conv2nc + mean
for infile in `ls *mon0.grb`
do
  cdo -R -r -t ecmwf -f nc splitvar $infile rg
  cdo -f nc -r -timmean rg* ${infile%???}nc 
  rm rg*
done
#  cdo -f nc -r -timmean $infile ${infile%???}nc 

#monthly means with 6h
for param in 151 164 165 166 167 168
do
 cdo -R -r -t ecmwf -f nc splitvar ${file}_${param}.128.grb rg
 cdo -f nc -r -timmean rg* ${file}_${param}_mon.nc
 rm rg*
done
# cdo -f nc -r -timmean ${file}_${param}.128.grb ${file%????}_${param}_mon.nc
#daily: mean+conv2nc+concat
for param in 201 202 177 169 179
do
# for infile in `ls *${param}_d_*.grb`
# do
#  cdo -R -r -t ecmwf -f nc splitvar $infile rg
#  cdo -f nc -r -timmean rg* ${infile%???}nc 
#  rm rg*
# done
 i=1
 while [[ $i -le $NMDAYS ]]
 do
  echo ${file}_${param}_d_${i}.nc >> list
  i=`expr $i + 1 `
 done
 ncrcat `cat list`  ${file}_${param}_d.nc
 rm list
# ncrcat *${param}_d_*.nc  ${file}_${param}_d.nc
# ncrcat ${infile%???}nc  ${file}_${param}_d.nc
done
rm *_d_*
#  cdo -f nc -r -timmean $infile ${infile%???}nc 

#6hour
for param in 151 164 165 166 167 168
do
 cdo -R -r -t ecmwf -f nc splitvar ${file}_${param}.128.grb rg
 cdo -f nc copy rg* ${file}_${param}_6h.nc
 rm rg*
done
# cdo -f nc copy ${file}_${param}.128.grb ${file}_${param}_6h.nc


#concat all vars in one file for mon,day,6h
for infile in `ls *mon*.nc`
do
 ncks -A $infile ${EXPID}_mon_${yyyymm}01-${yyyymm}${NMDAYS}.nc
done


for infile in `ls *d.nc`
do
 ncks -A $infile ${EXPID}_day_${yyyymm}01-${yyyymm}${NMDAYS}.nc 
done


for infile in `ls *6h*.nc`
do
 ncks -A $infile ${EXPID}_6hr_${yyyymm}01-${yyyymm}${NMDAYS}.nc 
done
cdo shifttime,-6h ${EXPID}_6hr_${yyyymm}01-${yyyymm}${NMDAYS}.nc ${EXPID}_6hr_${yyyymm}01-${yyyymm}${NMDAYS}.nc2
mv ${EXPID}_6hr_${yyyymm}01-${yyyymm}${NMDAYS}.nc2 ${EXPID}_6hr_${yyyymm}01-${yyyymm}${NMDAYS}.nc
rm *grb  *mon0* ${file}*nc rule* 

date
